"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processPluginOptions = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
function processPluginOptions(options, { siteDir, siteConfig: { themeConfig }, }) {
    var _a, _b;
    const config = Object.assign({}, options);
    ensureArray(config, "docsRouteBasePath");
    ensureArray(config, "blogRouteBasePath");
    ensureArray(config, "language");
    ensureArray(config, "docsDir");
    ensureArray(config, "blogDir");
    ensureArray(config, "ignoreFiles");
    ensureArray(config, "ignoreCssSelectors");
    config.docsRouteBasePath = config.docsRouteBasePath.map((basePath) => basePath.replace(/^\//, ""));
    config.blogRouteBasePath = config.blogRouteBasePath.map((basePath) => basePath.replace(/^\//, ""));
    config.docsDir = config.docsDir.map((dir) => path_1.default.resolve(siteDir, dir));
    config.blogDir = config.blogDir.map((dir) => path_1.default.resolve(siteDir, dir));
    if (config.searchBarPosition === "auto") {
        const search = (_b = (_a = themeConfig.navbar) === null || _a === void 0 ? void 0 : _a.items) === null || _b === void 0 ? void 0 : _b.find((item) => item.type === "search");
        config.searchBarPosition =
            search && search.position === "left" ? "left" : "right";
    }
    return config;
}
exports.processPluginOptions = processPluginOptions;
function ensureArray(object, key) {
    if (!Array.isArray(object[key])) {
        object[key] = [object[key]];
    }
}
